# /api/playerwarps/getPlayerWarpByName/{warpname}

* **Parameters:**
  * `warpname`: The name of the warp to retrieve.
* **Response:**

  The response will return a JSON object with the following structure:

  ```json
  {
    "id": 1,
    "warpName": "testing",
    "warpLocation": {
      "world": "world",
      "x": -1846.9302338464981,
      "y": 69.0,
      "z": 83.01201806289632,
      "yaw": 112.37841,
      "pitch": 17.999645,
      "locationSafe": true,
      "warpServer": "N/A",
      "properLocation": {
        "world": "world",
        "x": -1846.9302338464981,
        "y": 69.0,
        "z": 83.01201806289632,
        "yaw": 112.37841,
        "pitch": 17.999645
      },
      "worldType": "world"
    },
    "warpRate": {
      "earnedRateRewards": [],
      "rates": {},
      "rateAverage": 0.0,
      "totalRates": 0,
      "playersRatedAmount": 0
    },
    "warpCategory": [{
      "name": "other",
      "teleportPrice": -1.0,
      "purgeTime": -1,
      "permission": "",
      "removeDaysTime": -1,
      "all": false,
      "icon": {
        "type": "PAPER",
        "meta": {
          "display-name": "{\"text\":\"\",\"extra\":[{\"text\":\"Other Warps\",\"obfuscated\":false,\"italic\":false,\"underlined\":false,\"strikethrough\":false,\"color\":\"aqua\",\"bold\":false}]}",
          "lore": ["{\"text\":\"\",\"extra\":[{\"text\":\"Click\",\"color\":\"light_purple\"},{\"text\":\" to view all the other warps.\",\"color\":\"aqua\"}],\"italic\":false}"]
        }
      },
      "displayName": "Other"
    }],
    "warpIcon": {
      "warpIcon": null
    },
    "warpRent": {
      "warpLastRent": 1735075589283,
      "warpNewRent": 1735161989283
    },
    "warpVisit": {
      "warpVisits": 0,
      "purgedWarpVisits": 0,
      "warpVisitedBoosted": [],
      "warpVisited": []
    },
    "warpDate": 1735075589283,
    "warpType": "NORMAL",
    "warpCost": null,
    "paid": [],
    "banned": [],
    "whitelisted": [],
    "managers": [],
    "whitelistEnabled": false,
    "warpLocked": false,
    "warpPassword": null,
    "sponsorWarp": null,
    "sponsorCooldown": null,
    "randomSort": 3,
    "warpPlayer": {
      "uuid": "5ca251ab-589d-4f04-8f0c-28404d0686b0",
      "name": "ForgotUrPassword",
      "language": "en_gb"
    },
    "favoriteCount": 0,
    "warpDisplayName": "testing"
  }
  ```

**Fields:**

* **id** (Number): The ID of the warp.
* **warpName** (String): The name of the warp.
* **warpLocation** (Object):
  * **world** (String): The world of the warp.
  * **x** (Number): The X coordinate.
  * **y** (Number): The Y coordinate.
  * **z** (Number): The Z coordinate.
  * **yaw** (Number): The yaw of the location.
  * **pitch** (Number): The pitch of the location.
  * **locationSafe** (Boolean): Whether the location is safe.
  * **warpServer** (String): The server of the warp (if applicable).
  * **properLocation** (Object):
    * **world** (String): The world of the warp.
    * **x** (Number): The X coordinate.
    * **y** (Number): The Y coordinate.
    * **z** (Number): The Z coordinate.
    * **yaw** (Number): The yaw of the location.
    * **pitch** (Number): The pitch of the location.
  * **worldType** (String): The type of the world.
* **warpRate** (Object):
  * **earnedRateRewards** (Array): List of rewards earned.
  * **rates** (Object): Contains rate information.
  * **rateAverage** (Number): The average rating.
  * **totalRates** (Number): Total number of ratings.
  * **playersRatedAmount** (Number): Number of players who rated.
* **warpCategory** (Array of Objects):
  * **name** (String): Category name.
  * **teleportPrice** (Number): Price to teleport.
  * **purgeTime** (Number): Time until purge.
  * **permission** (String): Required permission.
  * **removeDaysTime** (Number): Time until removal.
  * **all** (Boolean): Whether it includes all warps.
  * **icon** (Object):
    * **type** (String): The type of the icon.
    * **meta** (Object):
      * **display-name** (String): The display name of the icon.
      * **lore** (Array of Strings): Lore description.
      * **PublicBukkitValues** (String): Custom Bukkit metadata.
  * **displayName** (String): Display name of the category.
* **warpIcon** (Object): Warp icon details.
* **warpRent** (Object):
  * **warpLastRent** (Number): Last rent timestamp.
  * **warpNewRent** (Number): New rent timestamp.
* **warpVisit** (Object):
  * **warpVisits** (Number): Number of visits.
  * **purgedWarpVisits** (Number): Visits purged.
  * **warpVisitedBoosted** (Array): List of boosted visits.
  * **warpVisited** (Array): List of visits.
* **warpDate** (Number): Warp creation date.
* **warpType** (String): Type of the warp.
* **warpCost** (Object): Cost details (if applicable).
* **paid** (Array): List of paid players.
* **banned** (Array): List of banned players.
* **whitelisted** (Array): List of whitelisted players.
* **managers** (Array): List of managers.
* **whitelistEnabled** (Boolean): Whether whitelist is enabled.
* **warpLocked** (Boolean): Whether the warp is locked.
* **warpPassword** (String): Password for the warp (if applicable).
* **sponsorWarp** (Object): Sponsor warp details.
* **sponsorCooldown** (Object): Sponsor cooldown details.
* **randomSort** (Number): Random sort value.
* **warpPlayer** (Object):
  * **uuid** (String): Player's UUID.
  * **messages** (Array): Messages for the player.
  * **sponsorCooldown** (Object): Sponsor cooldown details.
  * **staticWarps** (Number): Number of static warps.
  * **logs** (Array): Logs related to the warp.
  * **earnedRateRewards** (Array): Rewards earned.
  * **lastPlayed** (Number): Last played timestamp.
  * **pendingWarp** (Object): Pending warp details.
  * **maxWarpCostPrice** (Number): Maximum cost for warp.
  * **minWarpCostPrice** (Number): Minimum cost for warp.
  * **priceFreeLimit** (Number): Free price limit.
  * **waitTeleportTime** (Number): Wait time for teleport.
  * **maximumWarps** (Number): Maximum number of warps.
  * **prettyMaximumWarps** (String): Human-readable maximum warps.
  * **name** (String): Player's name.
  * **language** (String): Player's language.
* **favoriteCount** (Number): Number of favorites.
* **warpDisplayName** (String): Display name of the warp.

**Note:**

* [**Authentication**](/projects/playerwarps/restapi.md#authentication) is required to access this endpoint.
* Based on server settings, you may not be able to access warp information if you do not own the warp.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.olziedev.com/projects/playerwarps/restapi/endpoints/get/getplayerwarpbyname.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
